Subject: Re: bug#73110: 29.4; emacs.service failed with result 'timeout'

From: Björn Bidar <[email-masked]>
Date: Sun, 13 Oct 2024 14:26:52 +0300

Eli Zaretskii <[email-masked]> writes:

>> From: Patrick Nicodemus <[email-masked]>
>> Date: Sat, 7 Sep 2024 13:22:30 -0400
>> 
>> I want to run Emacs as a service and connect to it with a client. I
>> followed the instructions here:
>> 
>> https://www.gnu.org/software/emacs/manual/html_node/emacs/Emacs-Server.html
>> 
>> and ran the command
>> systemctl --user enable emacs
>> 
>> This apparently creates a file at
>> ~/.config/systemd/user/default.target.wants/emacs.service
>> For some reason emacs is not successfully communicating to systemd that
>> it has launched successfully, and so systemd terminates emacs.
>
> According to this:
>
>> Configured features:
>> ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ
>> IMAGEMAGICK JPEG JSON LCMS2 LIBSELINUX LIBXML2 MODULES NATIVE_COMP
>> NOTIFY INOTIFY PDUMPER PGTK PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
>> TOOLKIT_SCROLL_BARS TREE_SITTER WEBP XIM XWIDGETS GTK3 ZLIB
>
> your Emacs is built without libsystemd support, which I think is
> required for this to work?  Or maybe I'm missing something.

I don't know exactly if libsystemd is required for the service to work,
I think it shouldn't however, but why?
Why would use the systemd user service but also not built with
libsystemd?
Even if there's something wrong why support such as usecase?